Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Timeout_Adapter Class Reference

Adapt the EC_Filter interface as an Event_Handler. More...

`#include <EC_Timeout_Generator.h>`

Inheritance diagram for TAO_EC_Timeout_Adapter:

[legend]
Collaboration diagram for TAO_EC_Timeout_Adapter:

[legend]
List of all members.

## Public Methods
| TAO_EC_Timeout_Adapter (void)
| Default construction.
## Private Methods
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *act)
| Casts <act> to EC_Filter and dispatches an event to it.

## Detailed Description

Adapt the EC_Filter interface as an Event_Handler.

ACE timer queues (including the reactor) use Event_Handlers to dispatch events, but we want to receive them in EC_Filters, this class is and adaptor for that purpose.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Timeout_Adapter::TAO_EC_Timeout_Adapter | ( | void |  | ) |

| Default construction.

## Member Function Documentation

int TAO_EC_Timeout_Adapter::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | act
| ) | `[private, virtual]`

| Casts <act> to EC_Filter and dispatches an event to it. Reimplemented from ACE_Event_Handler.

The documentation for this class was generated from the following files:

- EC_Timeout_Generator.h
- EC_Timeout_Generator.cpp
- EC_Timeout_Generator.i